; docformat = 'rst'

;+
; Simple wrapper for PLOT routine.
;
; :Params:
;    x : in, required, type=fltarr(n)
;       x-values to plot
;    y : in, required, type=fltarr(n)
;       y-values to plot
;
; :Keywords:
;    _extra : in, optional, type=keywords
;       keywords to WINDOW or PLOT
;-
pro mg_window_plot, x, y, _extra=e
  compile_opt strictarr
  
  window, _extra=e
  plot, x, y, _extra=e
end


; main-level example

x = findgen(360) * !dtor 
mg_window_plot, x, sin(x), xstyle=1, xsize=600, ysize=300 

end