; docformat = 'rst'

;+
; Move an item in a list to another location.
;
; :Params:
;    from_index : in, required, type=long
;       index in original list for item to move
;    to_index : in, required, type=long
;       location of item in the final list
;-
pro list::move, from_index, to_index
  compile_opt strictarr
  
  self->add, self->remove(from_index), to_index 
end


; main-level example program

cities = list('New York', 'Boulder', 'San Francisco', 'Cambridge', 'Berkeley')
print, 'Original list:'
print, cities
cities->move, 1, 2
print, 'Moving 1 to 2:'
print, cities
print, 'Moving 3 to 1:'
cities->move, 3, 1
print, cities

end
